package com.pcloud.book.group.vo;

import com.pcloud.common.dto.BaseDto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @描述：群和图书信息
 * @作者：zhuyajie
 * @创建时间：14:37 2019/7/4
 * @版本：1.0
 */
public class GroupQrcodeBookVO extends BaseDto{

    @ApiModelProperty("群标识")
    private Long groupQrcodeId;

    @ApiModelProperty("群名称")
    private String groupName;

    @ApiModelProperty("群id")
    private String wxGroupId;

    @ApiModelProperty("书id")
    private Long bookId;

    @ApiModelProperty("书名称")
    private String bookName;

    @ApiModelProperty("书号")
    private String isbn;

    public Long getGroupQrcodeId() {
        return groupQrcodeId;
    }

    public void setGroupQrcodeId(Long groupQrcodeId) {
        this.groupQrcodeId = groupQrcodeId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getWxGroupId() {
        return wxGroupId;
    }

    public void setWxGroupId(String wxGroupId) {
        this.wxGroupId = wxGroupId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    @Override
    public String toString() {
        return "GroupQrcodeBookVO{" +
                "groupQrcodeId=" + groupQrcodeId +
                ", groupName='" + groupName + '\'' +
                ", wxGroupId='" + wxGroupId + '\'' +
                ", bookId=" + bookId +
                ", bookName='" + bookName + '\'' +
                ", isbn='" + isbn + '\'' +
                '}';
    }
}
